Vendor Credits
List Vendor Credits for a Business
Scopes: vendor_credit:read
GET
/
v0
/
business
/
{business_id}
/
vendor-credit
List Vendor Credits for a Business
curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_id": "<string>",
"vendor_id": "<string>",
"number": "<string>",
"amount": 123,
"issued_at": "2023-11-07T05:31:56Z",
"journal_entry_id": "<string>",
"id": "<string>",
"voided": true,
"memo": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
],
"pagination": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Filter vendor credits by vendor ID
If set, filter by voided status (true = voided, false = active)
The page token to for the next or previous page
Required range:
1 <= x <= 100⌘I
List Vendor Credits for a Business
